summaryrefslogtreecommitdiff
path: root/tests/slow/test-ciphers-common.sh
diff options
context:
space:
mode:
authorNikos Mavrogiannopoulos <nmav@redhat.com>2016-07-01 13:51:18 +0200
committerNikos Mavrogiannopoulos <nmav@gnutls.org>2016-07-05 14:50:47 +0200
commit8b18781de703ed6778ef8fcf7cfaeb208398553d (patch)
tree2bf23d2ed4d2006b9da5032c9c58298baccedbc5 /tests/slow/test-ciphers-common.sh
parent1c791b698204c115395c556f7c1b60f3931f939a (diff)
downloadgnutls-8b18781de703ed6778ef8fcf7cfaeb208398553d.tar.gz
asm: updated openssl and the asm sources for AES-GCM from openssl 1.0.2h
This improves the performance of AES-GCM significantly by taking advantage of AVX and MOVBE instructions where available. This utilizes Andy Polyakov's code under BSD license.
Diffstat (limited to 'tests/slow/test-ciphers-common.sh')
-rw-r--r--tests/slow/test-ciphers-common.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/tests/slow/test-ciphers-common.sh b/tests/slow/test-ciphers-common.sh
index e5e2d51ac8..cb415a35bc 100644
--- a/tests/slow/test-ciphers-common.sh
+++ b/tests/slow/test-ciphers-common.sh
@@ -51,13 +51,22 @@ if test $ret != 0; then
exit $ret
fi
-GNUTLS_CPUID_OVERRIDE=0x8 ${PROG}
+#AESNI+PCLMUL
+GNUTLS_CPUID_OVERRIDE=0xA ${PROG}
ret=$?
if test $ret != 0; then
echo "PCLMUL cipher tests failed"
exit $ret
fi
+#AESNI+PCLMUL+AVX
+GNUTLS_CPUID_OVERRIDE=0x1A ${PROG}
+ret=$?
+if test $ret != 0; then
+ echo "PCLMUL-AVX cipher tests failed"
+ exit $ret
+fi
+
GNUTLS_CPUID_OVERRIDE=0x100000 ${PROG}
ret=$?
if test $ret != 0; then